#
# spec file for package netpbm (Version 10.11.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  libjpeg libpng-devel-packages libtiff
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libjpeg libpng libpng-devel libtiff libtool perl rpm

Name:         netpbm
License:      Other License(s), see package, GPL
Group:        Productivity/Graphics/Convertors
Provides:     pbmplus
Autoreqprov:  on
Version:      10.11.4
Release:      181
Summary:      A powerful graphics conversion package
Source:       netpbm-%{version}-nohpcdtoppm-nojbig.tar.bz2
Source1:      netpbm-%{version}-documentation.tar.bz2
Source2:      remove-patents
Patch:        netpbm-%{version}.dif
Patch2:       netpbm-%{version}-shell.patch
Patch3:       netpbm-%{version}-man.patch
Patch4:       netpbm-overflow.patch
Patch5:       netpbm-%{version}-tail.patch
Patch6:       netpbm-%{version}-tmpfile.patch
Patch7:       netpbm-%{version}-pstopnm-gs-options.patch
Patch8:       netpbm-%{version}-pnmtopng-CAN-2005-2978.patch
Patch9:       netpbm-%{version}-pnmtopng-overflow.patch
URL:          http://netpbm.sourceforge.net
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The latest version of the Portable Bitmap Plus Utilities. This large
package which is by now available for all hardware platforms provides
tools for graphics conversion. Using these tools, images can be
converted from virtually any format into any other format. A few of the
supported formats include:  GIF, PC-Paintbrush, IFF ILBM, Gould Scanner
file, MTV ray tracer, Atari Degas .pi1 and .pi3, Macintosh PICT, HP
Paintjet file, QRT raytracer, AUTOCAD slide, Atari Spectrum (compressed
and uncompressed), Andrew Toolkit raster object, and many more. On top
of that, man pages are included for all tools.



Authors:
--------
    Alberto Accomazzi       <alberto@cfa.harvard.edu>
    Andre Beck              <Andre_Beck@IRS.Inf.TU-Dresden.de>
    Angus Duggan            <ajcd@dcs.ed.ac.uk>
    Arnaud Le Hors          <lehors@sophia.inria.fr>
    Arthur David Olson      <OLSONA@dc37a.nci.nih.gov>
    Burkhard Neidecker-Lutz <neideck@nestvx.enet.dec.com>
    Daniel Briggs           <dbriggs@nrao.edu>
    David Beckemeyer        <bdt!david>
    David Koblas            <koblas@netcom.com>
    Diomidis D. Spinellis   <dds@cc.ic.ac.uk>
    George Phillips         <phillips@cs.ubc.ca>
    Graeme W. Gill          <graeme@labtam.oz.au>
    Hadmut Danisch          <danisch@ira.uka.de>
    Ingo Wilken             <Ingo.Wilken@informatik.uni-oldenburg.de>
    James Darrell McCauley  <mccauley@mcs.com>
    John Tiller             <tiller@galois.msfc.nasa.gov>
    John Walker             <kelvin@Autodesk.com>
    Kanthan Pillay          <svpillay@Princeton.EDU>
    Ken Yap                 <ken@cs.rocester.edu>
    Lyle Rains              <lrains@netcom.com>
    Marcel Wijkstra         <wijkstra@fwi.uva.nl>
    Marc Boucher            <marc@PostImage.COM>
    Oliver Trepte           <oliver.trepte@dd.sigma.se>
    Patrick J. Naughton     <naughton@wind.sun.com>
    Paul Haeberli           <paul@manray.sgi.com>
    Paul Breslaw		<paul@mecazh.uu.ch>
    S.Petra Zeidler         <spz@specklec.mpifr-bonn.mpg.de>
    Steve Belczyk           <seb3@gte.com>
    Warren Toomey           <wkt@csadfa.cs.adfa.oz.au>
    Wilson H. Bent. Jr.     <whb@evtech.com>
    Wolfgang Stuerzlinger   <wrzl@gup.uni-linz.ac.at>

%package -n libnetpbm
Version:      1.0.0
Release:      643
License:      LGPL, Other License(s), see package
Summary:      Libraries for the netpbm (NetPortableBitmap) graphic formats
Group:        System/Libraries
Autoreqprov:  on
Provides:     libnetpb
Obsoletes:    libnetpb

%description -n libnetpbm
These are the libs for the netpbm graphic formats. Tools can be found
in package netpbm. The sources are contained in the netpbm source
package.



Authors:
--------
    Rob Hooft <hooft@EMBL-Heidelberg.DE>
    Michael Mauldin <mlm@cs.cmu.edu>

%prep
%setup -q -a 1
rm -rf libtiff
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
# for ppmtompeg
rm -fr ppmtompeg
mkdir -p ppmtompeg
cd ppmtompeg
cp -v ../converter/ppm/ppmtompeg/README .
cp -v ../converter/ppm/ppmtompeg/TODO .
cp -v ../converter/ppm/ppmtompeg/BUGS .
cp -v ../converter/ppm/ppmtompeg/CHANGES .
cp -vr ../converter/ppm/ppmtompeg/docs/ .
cp -vr ../converter/ppm/ppmtompeg/examples/ .

%build
cp  Makefile.config.in  Makefile.config
make CFLAGS="$RPM_OPT_FLAGS -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,%_lib,share/man}
make pkgdir=`pwd`/package package
cp -prd package/bin $RPM_BUILD_ROOT/usr
cp -pd package/{lib,link}/* $RPM_BUILD_ROOT/usr/%_lib
ln -sf libnetpbm.so.10.11 $RPM_BUILD_ROOT/usr/%_lib/libnetpbm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libpbm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libpgm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libpnm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libppm.so
cp -pd package/include/* $RPM_BUILD_ROOT/usr/include
cp -prd package/man/* $RPM_BUILD_ROOT/usr/share/man
rm $RPM_BUILD_ROOT/usr/bin/g3topbm #conflict with g3utils
rm $RPM_BUILD_ROOT/usr/share/man/web/netpbm.url

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc   README doc/* netpbm.sourceforge.net/doc
%doc   ppmtompeg/
%doc %{_mandir}/man1/*.gz
%doc %{_mandir}/man3/*.gz
%doc %{_mandir}/man5/*.gz
/usr/bin/*

%files -n libnetpbm
%defattr(-,root,root)
/usr/include/*
%{_libdir}/*

%changelog -n netpbm
* Tue Nov 15 2005 - nadvornik@suse.cz
- fixed possible buffer overflow [#133649]
* Thu Oct 13 2005 - nadvornik@suse.cz
- fixed possible buffer overflow (CAN-2005-2978) [#119601]
* Tue Aug 09 2005 - nadvornik@suse.cz
- call ghostscript with the -dSAFER option [#102527]
* Mon Jan 26 2004 - nadvornik@suse.cz
- fixed temp files handling [#34036]
* Thu Sep 18 2003 - nadvornik@suse.cz
- fixed tail/head syntax [#31231]
* Wed May 28 2003 - nadvornik@suse.cz
- remove unpackaged files from buildroot
* Thu Feb 13 2003 - ro@suse.de
- fix symlink for libnetpbm.so
* Tue Feb 11 2003 - nadvornik@suse.cz
- updated to 10.11.4
* Mon Aug 05 2002 - nadvornik@suse.cz
- removed g3topbm again
* Mon Jul 29 2002 - schwab@suse.de
- Fix reference to perl in scripts.
* Sat Jul 27 2002 - kukuk@suse.de
- Create compatibility links for the old libraries to compile
  old sources
* Sat Jul 27 2002 - meissner@suse.de
- %%_lib fixes, use RPM_OPT_FLAGS and -fPIC
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 - nadvornik@suse.cz
- updated to 10.5:
- libraries libpbm, libpgm, libpnm, libppm merged to libnetpbm
- documentation is in html only
* Tue May 14 2002 - nadvornik@suse.cz
- fixed usage of the %%{_libdir} macro
* Tue Feb 26 2002 - nadvornik@suse.cz
- fixed "#!/bin/sh" line in ppmtomap
* Thu Feb 07 2002 - nadvornik@suse.cz
- updated to 9.24
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 10 2002 - nadvornik@suse.cz
- update to 9.23:
- bugfix release
- patched pnmtops to accept -dpi <number>x<number> [bug #12591]
- used macros %%{_lib} and %%{_libdir}
* Wed Dec 05 2001 - nadvornik@suse.cz
- update to 9.21:
- new: pamdeinterlace, pnmquant, ppmtoneo, neotoppm
* Tue Sep 04 2001 - nadvornik@suse.cz
- removed jbigtopnm and pnmtojbig because of potential patent
  problems [bug #9903]
- fixed segfault in icontopnm
* Thu Aug 23 2001 - ro@suse.de
- added pm.h and pm_config.h to INTERFACE_HEADERS
  (pm.h is included by pbm.h and includes pm_config.h)
* Thu Aug 23 2001 - nadvornik@suse.cz
- update to 9.16
  new:   pbmtopsg3 (Postscript G3 fax), pbmtonokia, ppmrainbow
  pamoil (a replacement for pgmoil)
  fixes and updates:
  ppmtogif, ppmtojpeg, xpmtoppm, pnmtopng/pngtopnm,
  giftopnm, ppm3d, tifftopnm, pgmcrater, pnmgamma,
  ppmcie, pnmscale, pnmscalefixed, ppmtoeyuv, eyuvtoppm
  pstopnm
- removed hpcdtoppm from source, because selling and commercial
  using is prohibited
* Tue Jun 05 2001 - pblaha@suse.cz
- upgrade on 9.14
- add documentation and examples for ppmtompeg fix bug #8647
* Thu Apr 05 2001 - pblaha@suse.cz
- make ln -s pnmtoplainpnm  pnmnoraw and ln -s gemtopnm  gemtopbm
* Tue Apr 03 2001 - kukuk@suse.de
- Remove g2topbm again due conficts with g3utils
* Mon Mar 26 2001 - pblaha@suse.cz
- update on 9.12
* Wed Mar 14 2001 - pblaha@suse.cz
-  remove g3topbm due to  conflict with g3utils
* Wed Mar 07 2001 - pblaha@suse.cz
- update on 9.11
* Wed Jan 24 2001 - pblaha@suse.cz
- update on 9.10
* Fri Dec 22 2000 - garloff@suse.de
- Add Provides + Obsoletes: libnetpb.
- Use some more macros in spec file.
- bzip2 source.
* Tue Dec 05 2000 - schwab@suse.de
- Be sure to compile with -fpic.
* Mon Dec 04 2000 - kukuk@suse.de
- Fix again path to perl
* Thu Nov 30 2000 - pblaha@suse.cz
- remove g3topbm and pbmtog3 for conflict with g3utils
* Tue Nov 28 2000 - kukuk@suse.de
- Use /usr/bin/perl
* Tue Nov 28 2000 - pblaha@suse.cz
- remove hpcdtoppm because conflict with photocd
* Mon Oct 02 2000 - pblaha@suse.cz
- update to 9.8 and rename libnetpb to libnetpbm
* Fri Sep 29 2000 - ro@suse.de
- fixed Makefile deps
* Mon Jul 10 2000 - bubnikv@suse.cz
- fixed pbmtog3 to use fixed width of fax image (standard), added
  switch to allow usage of source image width
- updated man page of pbmtog3
- changed URLs of home page and source file
* Tue Jun 20 2000 - nadvornik@suse.cz
- added shhopt.h, libshhopt.*
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 19 2000 - nadvornik@suse.cz
- fixed Imakefile
* Tue May 16 2000 - nadvornik@suse.cz
- update to 8.4
- added BuildRoot
* Fri May 12 2000 - schwab@suse.de
- pbmplus.h: fix linux configuration.
* Tue Feb 29 2000 - kukuk@suse.de
- Let ldconfig create correct links for shared libraries and add
  them to file list
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 14 1999 - ro@suse.de
- pbmplus.h: don't redeclare write on alpha
* Wed Jun 17 1998 - ro@suse.de
- patched to build for libc5 and glibc
* Thu May 14 1998 - ro@suse.de
- added patch to build pbmtosff from Christian Lademann
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / build from own sources
